Bug 124274

Summary: Web Inspector: uses a different User-Agent string than the "inspected" window
Product: WebKit Reporter: joost.dekeijzer
Component: Web InspectorAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: joepeck, timothy, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on: 112071    
Bug Blocks:    

Description joost.dekeijzer 2013-11-13 03:33:19 PST
When the inspector is enabled, it tries to fetch .map files for compressed javascript files.

When fetching, the User-Agent "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9) AppleWebKit/537.71 (KHTML, like Gecko)" is used, where the browser window itself uses "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_9) AppleWebKit/537.71 (KHTML, like Gecko) Version/7.0 Safari/537.71"

In web applications with (very) strict security settings, a different User-Agent string can result in a logout. I've had this happening in a CakePHP application where User-Agent checking is a default security measure.
Comment 1 Radar WebKit Bug Importer 2013-11-13 03:33:44 PST
<rdar://problem/15457529>
Comment 2 Timothy Hatcher 2013-11-14 14:59:56 PST
Bug 112071 would fix this.
Comment 3 Timothy Hatcher 2014-03-08 04:52:51 PST
This is fixed now that bug 112071 is fixed. Give it a try.
Comment 4 joost.dekeijzer 2014-03-17 08:22:36 PDT
Hi,

I can confirm this issue fixed in Webkit Nightly r165723 "Version 7.0.2 (9537.74.9, 538+)"